/// <reference types="./phaser" />
import PlayScene from "../scenes/PlayScene";
export declare class FlagsFactory {
    scene: PlayScene;
    possiblePositions: string[];
    constructor(scene: PlayScene);
    create(group: Phaser.Physics.Arcade.Group): Flags;
}
export declare class Flags extends Phaser.Physics.Arcade.Sprite {
    scene: PlayScene;
    position: string;
    badAreaLeft: Area | undefined;
    badAreaRight: Area | undefined;
    constructor(scene: PlayScene, position: string);
    init(): void;
    positionOnMountain(): void;
    update(): void;
}
declare class Area extends Phaser.Physics.Arcade.Sprite {
    scene: PlayScene;
    heightScaled: number;
    scaleFactor: number;
    constructor(scene: PlayScene, x: number, y: number, width: number, height: number);
    init(): void;
}
export {};
